<?php
/**
 * OperatorsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. BU. Продавцы
 *
 * Управление продавцами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\BuClient;

use \Ensi\BuClient\Configuration;
use \Ensi\BuClient\ApiException;
use \Ensi\BuClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * OperatorsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class OperatorsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createOperator
     *
     * Добавить нового оператора.
     *
     */
    public function testCreateOperator()
    {
    }

    /**
     * Test case for deleteOperator
     *
     * Удаление оператора.
     *
     */
    public function testDeleteOperator()
    {
    }

    /**
     * Test case for getOperator
     *
     * Получить информацию об операторе.
     *
     */
    public function testGetOperator()
    {
    }

    /**
     * Test case for patchOperator
     *
     * Частично обновить информацию об операторе.
     *
     */
    public function testPatchOperator()
    {
    }

    /**
     * Test case for replaceOperator
     *
     * Полностью обновить информацию об операторе.
     *
     */
    public function testReplaceOperator()
    {
    }

    /**
     * Test case for searchOperators
     *
     * Получить список операторов, удовлетворяющих условиям.
     *
     */
    public function testSearchOperators()
    {
    }
}
